program foo
   implicit none
   real fortran_func
   real x, y
   real p

   x = 3.0
   y = 4.0

   p = fortran_func(x, y)

   write(*, *) 'fortran_func(', x, ', ', y, ') is ', p

end ! real function fortran_func
